gi-pango-1.0.23: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.EngineScriptInfo

Contents

- Exported types
- Methods
  - Overloaded methods
- Properties
  - langs
  - script

Description

The `EngineScriptInfo` structure contains information about how the shaper covers a particular script.

Synopsis

- newtype EngineScriptInfo = EngineScriptInfo (ManagedPtr EngineScriptInfo)
- newZeroEngineScriptInfo :: MonadIO m => m EngineScriptInfo
- clearEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> m ()
- getEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> m (Maybe Text)
- setEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> CString -> m ()
- getEngineScriptInfoScript :: MonadIO m => EngineScriptInfo -> m Script
- setEngineScriptInfoScript :: MonadIO m => EngineScriptInfo -> Script -> m ()

# Exported types

newtype EngineScriptInfo Source #

Memory-managed wrapper type.

Constructors

EngineScriptInfo (ManagedPtr EngineScriptInfo) |

#### Instances

Instances details

Eq EngineScriptInfo Source # |
Instance details Defined in GI.Pango.Structs.EngineScriptInfo Methods (==) :: EngineScriptInfo -> EngineScriptInfo -> Bool # (/=) :: EngineScriptInfo -> EngineScriptInfo -> Bool #
CallocPtr EngineScriptInfo Source # |
Instance details Defined in GI.Pango.Structs.EngineScriptInfo Methods boxedPtrCalloc :: IO (Ptr EngineScriptInfo) Source #
BoxedPtr EngineScriptInfo Source # |
Instance details Defined in GI.Pango.Structs.EngineScriptInfo Methods boxedPtrCopy :: EngineScriptInfo -> IO EngineScriptInfo Source # boxedPtrFree :: EngineScriptInfo -> IO () Source #
ManagedPtrNewtype EngineScriptInfo Source # |
Instance details Defined in GI.Pango.Structs.EngineScriptInfo Methods toManagedPtr :: EngineScriptInfo -> ManagedPtr EngineScriptInfo Source #
tag ~ 'AttrSet => Constructible EngineScriptInfo tag Source # |
Instance details Defined in GI.Pango.Structs.EngineScriptInfo Methods new :: MonadIO m => (ManagedPtr EngineScriptInfo -> EngineScriptInfo) -> [AttrOp EngineScriptInfo tag] -> m EngineScriptInfo Source #

newZeroEngineScriptInfo :: MonadIO m => m EngineScriptInfo Source #

Construct a `EngineScriptInfo` struct initialized to zero.

# Methods

## Overloaded methods

# Properties

## langs

a semicolon separated list of languages that this engine handles for this script. This may be empty, in which case the engine is saying that it is a fallback choice for all languages for this range, but should not be used if another engine indicates that it is specific for the language for a given code point. An entry in this list of "*" indicates that this engine is specific to all languages for this range.

clearEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> m () Source #

Set the value of the “`langs`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #langs

getEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> m (Maybe Text) Source #

Get the value of the “`langs`” field. When overloading is enabled, this is equivalent to

    get engineScriptInfo #langs

setEngineScriptInfoLangs :: MonadIO m => EngineScriptInfo -> CString -> m () Source #

Set the value of the “`langs`” field. When overloading is enabled, this is equivalent to

    set engineScriptInfo [ #langs := value ]

## script

a `Script`. The value `ScriptCommon` has the special meaning here of "all scripts"

getEngineScriptInfoScript :: MonadIO m => EngineScriptInfo -> m Script Source #

Get the value of the “`script`” field. When overloading is enabled, this is equivalent to

    get engineScriptInfo #script

setEngineScriptInfoScript :: MonadIO m => EngineScriptInfo -> Script -> m () Source #

Set the value of the “`script`” field. When overloading is enabled, this is equivalent to

    set engineScriptInfo [ #script := value ]